import 'package:flutter_test/flutter_test.dart';
import 'package:vnote_device_plugin/vnote_device_plugin.dart';
import 'package:vnote_device_plugin/vnote_device_plugin_platform_interface.dart';
import 'package:vnote_device_plugin/vnote_device_plugin_method_channel.dart';
// import 'package:plugin_platform_interface/plugin_platform_interface.dart';

// class MockVnoteDevicePluginPlatform
//     with MockPlatformInterfaceMixin
//     implements VnoteDevicePluginPlatform {

//   @override
//   Future<String?> getPlatformVersion() => Future.value('42');
// }

void main() {
  final VnoteDevicePluginPlatform initialPlatform =
      VnoteDevicePluginPlatform.instance;

  test('$MethodChannelVnoteDevicePlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelVnoteDevicePlugin>());
  });

  test('getPlatformVersion', () async {
    VnoteDevicePlugin vnoteDevicePlugin = VnoteDevicePlugin();
    // MockVnoteDevicePluginPlatform fakePlatform = MockVnoteDevicePluginPlatform();
    // VnoteDevicePluginPlatform.instance = fakePlatform;

    expect(await vnoteDevicePlugin.getPlatformVersion(), '42');
  });
}
